Share:

Ultrasn0w 1.2.5 iPhone Unlock Updated for iOS 5.0.1

Share:

The iPhone Dev Team has released an update to the iPhone unlock ultrasn0w, version 1.2.5 to support older basebands in iOS 5.0.1., as described in the description:

iPhone Dev Team’s iPhone 4, 3G, and 3GS software unlock, now with added PwnApple. Compatible with iPhone 4 baseband 01.59.00 and iPhone 3G/3GS basebands 04.26.08, 05.11.07, 05.12.01, 05.13.04 and 06.15.00! Thanks to @sherif_hashim and @Oranav for contributing baseband crashes.

You can follow instructions here on how to unlock your iPhone with ultrasnow.

redsn0w 0.9.9b9d Download Now Available

Watch the Latest Apple Technology News Below

The iPhone Dev Team has released a new version of redsn0w to assist iPhone 3GS users with old bootroms and the untethered jailbreak:

Update #17d: iPhone3GS owners in our comments section below noticed a problem with the untethered jailbreak available for the old-bootrom 3GS. We’ve corrected that problem in 0.9.9b9d. If you have an old-bootrom 3GS and have already used last night’s redsn0w on it, you can re-run it again without losing anything. Just use this new version, go to Extras->IPSW and manually select the 5.0.1 IPSW, then go back and Jailbreak it again (but you can uncheck Cydia because it’s already installed).

This is still a tethered jailbreak for all except old-bootrom 3GS users.

Here are the download links:

Earlier today, pod2g demonstrated a video of the upcoming iOS 5.0.1 untethered jailbreak, on an iPhone 4. The release should be coming soon.

Share: